/* Styles pour les objets de téléchagrement de fichiers */
.ui-upload-file-container {
    display: flex;
    flex: 1 1 0;
    align-items: center;
    margin-bottom: 0px;
    gap: 10px;
    min-width: 0;
}

.ui-upload-file-container span {
    flex: 1 1 0;
    min-width: 0;
}

.ui-input-file {
    display: none;
}

.ui-custom-file-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    background-color: #007bff;
    border-radius: 50%;
    color: white;
    cursor: pointer;
    border: none;
    position: relative;
}
.ui-custom-file-button.small {
    width: 20px;
    height: 20px;
}
.ui-custom-file-button svg {
    width: 20px;
    height: 20px;
}
.ui-custom-file-button.small svg {
    width: 10px;
    height: 10px;
}
.ui-custom-file-button::after {
    content: '';
    position: absolute;
    width: 24px;
    height: 1px;
    background: white;
    transform: rotate(45deg);
    opacity: 1;
    transition: opacity 0.3s ease;
}
.ui-custom-file-button.small::after {
    width: 12px;
}
.ui-custom-file-button.mask-when-set.has-file {
    display: none;
}
.ui-custom-file-button.has-file::after {
    opacity: 0;
}
.ui-uploaded-file-name {
    font-style: italic;
    font-size: 0.9rem;
    max-width: 200px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.ui-uploaded-file-miniature {
    width: 40px;
    height: 40px;
    object-fit: cover;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-sizing: border-box;
    display: none;
    cursor: pointer;
}

.ui-uploaded-file-miniature.small {
    width: 20px;
    height: 20px;
}
.ui-uploaded-file-miniature.visible {
    display: block;
}

.ui-reset-file-button {
    background: none;
    border: none;
    color: #888;
    font-size: 1rem;
    cursor: pointer;
    display: none;
}
.ui-reset-file-button:hover {
  color: black;
  transform: scale(1.1);
}
.ui-reset-file-button.has-file {
    display: block;
}
